summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJeff Morriss <jeff.morriss.ws@gmail.com>2017-01-10 21:57:53 -0500
committerAnders Broman <a.broman58@gmail.com>2017-01-11 05:44:09 +0000
commit39389a12e5acfa2f43b3ac30b69deacd61411b6a (patch)
treeaf59232f620737c43872fe2d60dd966de879b8df /autogen.sh
parent97b3f75c0fc2e1f46f7a4511acdec9e433b4ce16 (diff)
downloadwireshark-39389a12e5acfa2f43b3ac30b69deacd61411b6a.tar.gz
Run libtoolize before aclocal.
libtoolize installs files in m4/ which aclocal is going to include. Prior to this change this sequence: 1) ./autogen.sh 2) ./configure 3) make Results in aclocal (and subsequently ./configure) being rerun in step 3 (because there are files in m4/ that are are newer than aclocal.m4). Change-Id: I70589ab3cede6b7cd48e089c8be4d4c98dab3b6a Reviewed-on: https://code.wireshark.org/review/19609 Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com> Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index ad20852c07..f33565d66f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -135,13 +135,13 @@ fi
$DIE
+LTARGS=" --copy --force"
+echo $LIBTOOLIZE $LTARGS
+$LIBTOOLIZE $LTARGS || exit 1
aclocal_flags="-I m4"
aclocalinclude="$ACLOCAL_FLAGS $aclocal_flags";
echo $ACLOCAL $aclocalinclude
$ACLOCAL $aclocalinclude || exit 1
-LTARGS=" --copy --force"
-echo $LIBTOOLIZE $LTARGS
-$LIBTOOLIZE $LTARGS || exit 1
echo $AUTOHEADER
$AUTOHEADER || exit 1
echo $AUTOMAKE --add-missing --gnu $am_opt